Class Categories


public class Categories extends ModelRequest<Categories>
  • Constructor Details

  • Method Details

    • getCategory

      public RestCategoryModel getCategory()
      Retrieves a category with ID using GET call on "/categories/{categoryId}"
      Returns:
      RestCategoryModel
    • createCategoriesList

      public RestCategoryModelsCollection createCategoriesList(List<RestCategoryModel> restCategoryModels)
      Create several categories in one request.
      Parameters:
      restCategoryModels - The list of categories to create.
      Returns:
      The list of created categories with additional data populated by the repository.
    • createSingleCategory

      public RestCategoryModel createSingleCategory(RestCategoryModel restCategoryModel)
      Create single category.
      Parameters:
      restCategoryModel - The category to create.
      Returns:
      Created category with additional data populated by the repository.
    • getCategoryChildren

      public RestCategoryModelsCollection getCategoryChildren()
      Get parent category children.
      Returns:
      The list of child categories.
    • updateCategory

      public RestCategoryModel updateCategory(RestCategoryModel restCategoryModel)
      Update single category. - PUT /categories/{categoryId}
      Parameters:
      restCategoryModel - The categories to update.
      Returns:
      Created category with additional data populated by the repository.
    • deleteCategory

      public void deleteCategory()
      Delete category. - DELETE /categories/{categoryId}